Announcement

Collapse
No announcement yet.

Syntax error on install.php

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Syntax error on install.php

    Hi, just bought the Vbulletin 5 and I have followed all of the recommended procedures to prepare for the install, but instead going to the installation page I get the following error

    Parse error: syntax error, unexpected T_FUNCTION in /home/storage/3/ec/a1/portalbigtrails/public_html/forum5/core/install/includes/class_upgrade.php on line 854

    Any ideas that can help me solve this?

  • #2
    Looks like you may have made a mistake in editing the /core/includes/config.php file. Deleting a quote mark ' or semi-colon ; can cause this.
    MARK.B | vBULLETIN SUPPORT

    TalkNewsUK - My vBulletin 5.6.3 Demo
    AdminAmmo - My Cloud Demo

    Comment


    • #3
      What version of php are you using
      Cometbar

      DartsLeague

      Comment


      • #4
        I'm using the last one, vBulletin 5.3.4

        Comment


        • #5
          Originally posted by leon.henriques View Post
          I'm using the last one, vBulletin 5.3.4
          We need the php version please, not the vBulletin version.

          vB5 needs a minimum of php 5.6.
          MARK.B | vBULLETIN SUPPORT

          TalkNewsUK - My vBulletin 5.6.3 Demo
          AdminAmmo - My Cloud Demo

          Comment


          • #6
            Originally posted by Mark.B View Post
            Looks like you may have made a mistake in editing the /core/includes/config.php file. Deleting a quote mark ' or semi-colon ; can cause this.
            Hi Mark.B,
            I Double checked now, and there is nothing wrong with the file,
            Can't be anything else?

            Comment


            • #7
              Ops haha

              I just checked now, it is PHP Version 5.2.17 according my VB4 Forum PHP Info.
              Thank's! I'm shamed for not checking that, forgot that I was on an old server.

              Comment


              • #8
                Ok, i configured a new server now, this time running php 7.
                But now I'm getting an HTTP ERROR 500 everywhere. That makes impossible to run the install.php
                Any ideias what that could be now?

                Comment


                • #9
                  Originally posted by leon.henriques View Post
                  Ok, i configured a new server now, this time running php 7.
                  But now I'm getting an HTTP ERROR 500 everywhere. That makes impossible to run the install.php
                  Any ideias what that could be now?
                  You need the server logs to determine the cause of a 500 error.

                  Comment


                  • #10
                    Originally posted by leon.henriques View Post
                    Ok, i configured a new server now, this time running php 7.
                    But now I'm getting an HTTP ERROR 500 everywhere. That makes impossible to run the install.php
                    Any ideias what that could be now?
                    You need to review your HTTP and PHP Error logs and determine what the error is. We can help.

                    A common issue is that the iconv library isn't installed in PHP.
                    Translations provided by Google.

                    Wayne Luke
                    The Rabid Badger - a vBulletin Cloud demonstration site.
                    vBulletin 5 API - Full / Mobile
                    Vote for your favorite feature requests and the bugs you want to see fixed.

                    Comment

                    Related Topics

                    Collapse

                    Working...
                    X